#############################################################
#                Dynamic Country Collections                #
#         Created by Yozora, Bullmoose20, & Sohjiro         #
#                 Artwork Credit to Duhniel                 #
#############################################################
#  Call this from your config.yml (Movie only)              #
#  If nothing is specified these are the defaults           #
#                                                           #
#    metadata_path:                                         #
#      - git: PMM/movie/country                             #
#        template_variables:                                #
#          # Turn the separator collection on/off           #
#          use_separator: true                              #
#          # Turn the other collection on/off               #
#          use_other: true                                  #
#          # Sets the style of posters: color or white      #
#          style: white                                     #
#          # Sets how the collection is sorted              #
#          sort_by: release.desc                            #
#          # Sets the collection mode of the collection     #
#          collection_mode:                                 #
#          # Sets the value at the start of the sort title  #
#          collection_section: "09"                         #
#############################################################

external_templates:
  git: PMM/templates
  template_variables:
    collection_section: "09"

templates:
  country_dynamic:
    default:
      sort_by: release.desc
      style: white
    url_poster: https://raw.githubusercontent.com/meisnate12/Plex-Meta-Manager-Images/master/country/<<style>>/<<key_name_encoded>>.jpg
    smart_filter:
      sort_by: <<sort_by>>
      any:
        country: <<value>>

collections:
  Country Collections:
    template:
      - name: separator
        separator: country

dynamic_collections:
  Country Color:
    type: country
    title_format: <<key_name>>
    other_name: Other Countries
    template:
      - country_dynamic
      - shared
    other_template:
      - other_collection
      - country_dynamic
      - shared
    include:
      # - Afghanistan                   # af
      # - Åland Islands                 # ax
      # - Albania                       # al
      # - Algeria                       # dz
      # - Andorra                       # ad
      # - Angola                        # ao
      # - Anguilla                      # ai
      # - Antarctica                    # aq
      # - Antigua                       # ag
      - Argentina                     # ar
      # - Armenia                       # am
      # - Aruba                         # aw
      - Australia                     # au
      - Austria                       # at
      # - Azerbaijan                    # az
      - Bahamas                       # bs
      # - Bahrain                       # bh
      # - Bangladesh                    # bd
      # - Barbados                      # bb
      # - Belarus                       # by
      - Belgium                       # be
      # - Belize                        # bz
      # - Benin                         # bj
      # - Bermuda                       # bm
      # - Bhutan                        # bt
      # - Bolivia                       # bo
      # - Bonaire                       # bq
      # - Bosnia and Herzegovina        # ba
      # - Botswana                      # bw
      # - Bouvet Island                 # bv
      - Brazil                        # br
      # - Brunei                        # bn
      - Bulgaria                      # bg
      # - Burkina Faso                  # bf
      # - Burundi                       # bi
      # - Cabo Verde                    # cv
      # - Cambodia                      # kh
      # - Cameroon                      # cm
      - Canada                        # ca
      # - Cayman Islands                # ky
      # - Central African Republic      # cf
      # - Chad                          # td
      - Chile                         # cl
      - China                         # cn
      # - Christmas Island              # cx
      # - Cocos (Keeling) Islands       # cc
      # - Colombia                      # co
      # - Comoros                       # km
      # - Congo                         # cg
      # - Cook Islands                  # ck
      - Costa Rica                    # cr
      # - Côte d'Ivoire                 # ci
      - Croatia                       # hr
      # - Cuba                          # cu
      # - Curaçao                       # cw
      # - Cyprus                        # cy
      - Czech Republic                # cz
      - Denmark                       # dk
      # - Djibouti                      # dj
      # - Dominica                      # dm
      - Dominican Republic            # do
      # - Ecuador                       # ec
      - Egypt                         # eg
      # - El Salvador                   # sv
      # - Equatorial Guinea             # gq
      # - Eritrea                       # er
      - Estonia                       # ee
      # - Eswatini                      # sz
      # - Ethiopia                      # et
      # - Falkland Islands              # fk
      # - Faroe Islands                 # fo
      # - Fiji                          # fj
      - Finland                       # fi
      - France                        # fr
      # - French Guiana                 # gf
      # - French Polynesia              # pf
      # - Gabon                         # ga
      # - Gambia                        # gm
      # - Georgia                       # ge
      - Germany                       # de
      # - Ghana                         # gh
      # - Gibraltar                     # gi
      - Greece                        # gr
      # - Greenland                     # gl
      # - Grenada                       # gd
      # - Guadeloupe                    # gp
      # - Guam                          # gu
      # - Guatemala                     # gt
      # - Guernsey                      # gg
      # - Guinea                        # gn
      # - Guinea-Bissau                 # gw
      # - Guyana                        # gy
      # - Haiti                         # ht
      # - Holy See                      # va
      # - Honduras                      # hn
      - Hong Kong                     # hk
      - Hungary                       # hu
      - Iceland                       # is
      - India                         # in
      - Indonesia                     # id
      - Iran                          # ir
      # - Iraq                          # iq
      - Ireland                       # ie
      # - Isle of Man                   # im
      - Israel                        # il
      - Italy                         # it
      # - Jamaica                       # jm
      - Japan                         # jp
      # - Jersey                        # je
      # - Jordan                        # jo
      # - Kazakhstan                    # kz
      # - Kenya                         # ke
      # - Kiribati                      # ki
      - Korea                         # kr
      # - Kuwait                        # kw
      # - Kyrgyzstan                    # kg
      # - Lao                           # la
      - Latvia                        # lv
      # - Lebanon                       # lb
      # - Lesotho                       # ls
      # - Liberia                       # lr
      # - Libya                         # ly
      # - Liechtenstein                 # li
      # - Lithuania                     # lt
      - Luxembourg                    # lu
      # - Macao                         # mo
      # - Madagascar                    # mg
      # - Malawi                        # mw
      - Malaysia                      # my
      # - Maldives                      # mv
      # - Mali                          # ml
      # - Malta                         # mt
      # - Marshall Islands              # mh
      # - Martinique                    # mq
      # - Mauritania                    # mr
      # - Mauritius                     # mu
      # - Mayotte                       # yt
      - Mexico                        # mx
      # - Micronesia                    # fm
      # - Moldova                       # md
      # - Monaco                        # mc
      # - Mongolia                      # mn
      # - Montenegro                    # me
      # - Montserrat                    # ms
      - Morocco                       # ma
      # - Mozambique                    # mz
      # - Myanmar                       # mm
      # - Namibia                       # na
      # - Nauru                         # nr
      # - Nepal                         # np
      - Netherlands                   # nl
      # - New Caledonia                 # nc
      - New Zealand                   # nz
      # - Nicaragua                     # ni
      # - Niger                         # ne
      # - Nigeria                       # ng
      # - Niue                          # nu
      # - Norfolk Island                # nf
      # - Macedonia                     # mk
      - Norway                        # no
      # - Oman                          # om
      - Pakistan                      # pk
      # - Palau                         # pw
      # - Palestine                     # ps
      - Panama                        # pa
      # - New Guinea                    # pg
      # - Paraguay                      # py
      - Peru                          # pe
      - Philippines                   # ph
      # - Pitcairn                      # pn
      - Poland                        # pl
      - Portugal                      # pt
      # - Puerto Rico                   # pr
      - Qatar                         # qa
      # - Réunion                       # re
      - Romania                       # ro
      - Russia                        # ru
      # - Rwanda                        # rw
      # - Saint Barthélemy              # bl
      # - Saint Lucia                   # lc
      # - Samoa                         # ws
      # - San Marino                    # sm
      # - Sao Tome and Principe         # st
      - Saudi Arabia                  # sa
      # - Senegal                       # sn
      - Serbia                        # rs
      # - Seychelles                    # sc
      # - Sierra Leone                  # sl
      - Singapore                     # sg
      # - Slovakia                      # sk
      # - Slovenia                      # si
      # - Solomon Islands               # sb
      # - Somalia                       # so
      - South Africa                  # za
      # - South Sudan                   # ss
      - Spain                         # es
      - Sri Lanka                     # lk
      # - Sudan                         # sd
      # - Suriname                      # sr
      - Sweden                        # se
      - Switzerland                   # ch
      # - Syria                         # sy
      # - Taiwan                        # tw
      # - Tajikistan                    # tj
      # - Tanzania                      # tz
      - Thailand                      # th
      # - Timor-Leste                   # tl
      # - Togo                          # tg
      # - Tokelau                       # tk
      # - Tonga                         # to
      # - Trinidad and Tobago           # tt
      # - Tunisia                       # tn
      - Turkey                        # tr
      # - Turkmenistan                  # tm
      # - Turks and Caicos              # tc
      # - Tuvalu                        # tv
      # - Uganda                        # ug
      - Ukraine                       # ua
      - United Arab Emirates          # ae
      - United Kingdom                # gb
      - United States of America      # us
      # - Uruguay                       # uy
      # - Uzbekistan                    # uz
      # - Vanuatu                       # vu
      # - Venezuela                     # ve
      - Vietnam                       # vn
      # - Yemen                         # ye
      # - Zambia                        # zm
      # - Zimbabwe                      # zw
    addons:
      Korea:
        - Republic of Korea
        - South Korea
